Package be.fgov.ehealth.samcivics.type.v2

# Class MaximumDurationType

java.lang.Object
be.fgov.ehealth.samcivics.type.v2.MaximumDurationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:16+02:00", comments="JAXB RI v4.0.5") public class MaximumDurationType extends Object implements Serializable

Java class for MaximumDurationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MaximumDurationType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>float">
           <attribute name="unit" use="required" type="{urn:be:fgov:ehealth:samcivics:type:v2}ValidityPeriodUnit" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MaximumDurationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ValidityPeriodUnit`
  `getUnit()`
  Gets the value of the unit property.
  `float`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setUnit(ValidityPeriodUnit value)`
  Sets the value of the unit property.
  `void`
  `setValue(float value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MaximumDurationType

    public MaximumDurationType()

- ## Method Details

  - ### getValue

    public float getValue()
    Gets the value of the value property.

  - ### setValue

    public void setValue(float value)
    Sets the value of the value property.

  - ### getUnit

    public ValidityPeriodUnit getUnit()
    Gets the value of the unit property.
    Returns:
      possible object is `ValidityPeriodUnit`

  - ### setUnit

    public void setUnit(ValidityPeriodUnit value)
    Sets the value of the unit property.
    Parameters:
      `value` - allowed object is `ValidityPeriodUnit`